Company logoTrust Center Documentation
API v1 ReferenceDocumentsIdVersionsVersionid

Delete an archived inactive document version

The version must be archived and inactive. Deleting an inactive draft is not supported. Browse request parameters, authentication requirements, response…

DELETE
/api/v1/documents/{id}/versions/{versionId}

The version must be archived and inactive. Deleting an inactive draft is not supported.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid
versionId*string

Required version UUID

Formatuuid

Query Parameters

locale?string

This value takes precedence over x-locale. An invalid or disabled explicit value returns 400.

Header Parameters

x-locale?string

Used when the locale query value is absent. The tenant default locale is the fallback only when both locale inputs are absent. An invalid or disabled explicit value returns 400.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty

How is this guide?